# -------------------------------
# Day 24, Opening Exercise
# -------------------------------

def legal_moves(board):
    legal_moves = []
    for row in range(3):
        for col in range(3):
            if not is_occupied(board, row, col):
                legal_moves.append( (row, col) )
    return legal_moves

# -------------------------------
# TEST DATA AND CASES
# -------------------------------

board_1 = [ [' ', ' ', 'x'],  \
            ['o', ' ', 'x'],  \
            [' ', ' ', 'o'] ]

board_2 = [ [' ', ' ', 'x'],  \
            ['o', 'o', 'x'],  \
            [' ', ' ', 'x'] ]

board_3 = [ ['o', ' ', 'x'],  \
            ['x', 'o', 'x'],  \
            [' ', ' ', 'o'] ]

board_4 = [ ['o', ' ', 'x'],  \
            ['x', 'x', 'x'],  \
            [' ', 'o', 'o'] ]
